﻿@model Contabilidad.Site.Models.Warehouse.WarehouseDetailsViewModel
@{
    ViewData["Title"] = @Contabilidad.Resources.CommonResources.Details;
}

<div class="row clearfix">
    <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                <h2>
                    @Contabilidad.Resources.Models.Accounting.Warehouse.Warehouse.DetailsTitle
                </h2>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <div>
                    <dl class="dl-horizontal">
                        <dt>
                            @Html.DisplayNameFor(model => model.IsActive)
                        </dt>
                        <dd>
                            @Html.DisplayFor(model => model.IsActive)
                        </dd>
                        <dt>
                            @Html.DisplayNameFor(model => model.Code)
                        </dt>
                        <dd>
                            @Html.DisplayFor(model => model.Code)
                        </dd>
                        <dt>
                            @Html.DisplayNameFor(model => model.Description)
                        </dt>
                        <dd>
                            @Html.DisplayFor(model => model.Description)
                        </dd>
                    </dl>
                </div>

                <br />
                <div class="row clearfix">
                    <div class="col-xs-6 col-sm-3 col-md-2 col-lg-2">
                        <a href="#confirm_@Model.Id" data-loader="true" class="btn btn-primary"
                           data-toggle="modal" data-target="#confirm_@Model.Id">@Contabilidad.Resources.CommonResources.Delete</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="row clearfix">
    <div class="x_panel">
        <div class="x_title">
            <h2>@Contabilidad.Resources.Models.Accounting.Warehouse.Warehouse.Stocks</h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <div class="row">
                <div class="col-sm-12">
                    <div class="card-box table-responsive">
                        <div class="row clearfix">
                            <div class="col-xs-6 col-sm-3 col-md-2 col-lg-2">
                                <a asp-action="MovementToWareohuses" asp-controller="WarehouseMovement" asp-route-idWarehouse="@Model.Id" data-loader="true" class="btn btn-primary">@Contabilidad.Resources.Models.Accounting.Warehouse.Warehouse.MovementWarehouses @Contabilidad.Resources.Models.Accounting.Warehouse.Warehouse.modelName</a>
                            </div>
                        </div>
                        <div id="datatable_wrapper" class="dataTables_wrapper container-fluid dt-bootstrap no-footer">
                            <div class="row">
                            </div>
                            <div class="row">
                                <div class="col-sm-12">
                                    <table id="datatable" class="table table-striped table-bordered dataTable no-footer" style="width: 100%;" role="grid" aria-describedby="datatable_info">
                                        <thead>
                                            <tr class="headings">
                                                <th>@Html.DisplayNameFor(Model => Model.Stocks.FirstOrDefault().Product)</th>
                                                <th>@Html.DisplayNameFor(Model => Model.Stocks.FirstOrDefault().Quantity)</th>
                                                <th>@Html.DisplayNameFor(Model => Model.Stocks.FirstOrDefault().MeasurementUnit)</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @foreach (var item in Model.Stocks)
                                            {
                                                <tr>
                                                    <td>
                                                        @Html.DisplayFor(modelItem => item.Product)
                                                    </td>
                                                    <td>
                                                        @Html.DisplayFor(modelItem => item.Quantity)
                                                    </td>
                                                    <td>
                                                        @Html.DisplayFor(modelItem => item.MeasurementUnit)
                                                    </td>
                                                </tr>
                                            }
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


<form asp-action="Delete" asp-route-id="@Model.Id">
    <div class="modal fade" id="confirm_@Model.Id" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title" id="defaultModalLabel">@Contabilidad.Resources.CommonResources.Delete @Contabilidad.Resources.Models.Accounting.Warehouse.Warehouse.modelName</h4>
                </div>
                <div class="modal-body">
                    @Contabilidad.Resources.Models.Accounting.Warehouse.Warehouse.MessageDelete
                </div>
                <div class="modal-footer">
                    <input type="submit" value="@Contabilidad.Resources.CommonResources.Delete" data-loader="true" class="btn btn-danger waves-effect" />
                    <button type="button" class="btn btn-default waves-effect" data-dismiss="modal">@Contabilidad.Resources.CommonResources.Cancel</button>
                </div>
            </div>
        </div>
    </div>
</form>
